# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192606
#
# Specfile for yafc: yet another ftp client
#

Name:           yafc
Version:        1.3.5
Release:        9%{?dist}
Summary:        Yet Another FTP/SFTP Client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://yafc.sourceforge.net

################################################################################

Source:         http://www.yafc-ftp.com/upload/%{name}-%{version}.tar.xz

################################################################################

BuildRequires:  gcc
BuildRequires:      readline-devel >= 4.2
BuildRequires:      krb5-devel
BuildRequires:      ncurses-devel
BuildRequires:      /usr/bin/makeinfo
BuildRequires:      libbsd-devel
BuildRequires:      gettext-devel
BuildRequires:      libssh-devel
# FIXME: The editline configure check is broken
BuildRequires:      libedit-devel

Requires:           openssh-clients

Requires(post):     /sbin/install-info
Requires(preun):    /sbin/install-info

################################################################################

%description
Yafc is an OpenSource console mode FTP client. It has support for Kerberos 4/5
authentication and sftp (ssh2). Other features include tab completion,
directory cache, powerful aliases, recursive file commands and bookmarks with
autologin.

################################################################################

%prep

%setup -q

################################################################################

%build

%configure

make %{?_smp_mflags}

################################################################################

%install

make install DESTDIR=$RPM_BUILD_ROOT

# Change the perms on %doc files so rpm doesn't pick up their dependencies
find contrib/ -type f -print0 | xargs -r0 chmod 644

# Remove the info directory that sometimes gets created
rm -rf $RPM_BUILD_ROOT/%{_datadir}/info/dir

################################################################################

%post

/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

################################################################################

%postun

if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

################################################################################

%files
%doc BUGS COPYING COPYRIGHT NEWS README.md THANKS TODO
%doc contrib/
%doc samples/inputrc samples/yafcrc
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/info/yafc*
%{_sysconfdir}/bash_completion.d/yafc
%{_datadir}/locale/*/LC_MESSAGES/yafc.mo

################################################################################

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.3.5-4
- Rebuild for readline 7.x

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 03 2014 Jaromir Capik <jcapik@redhat.com> - 1.3.5-1
- Upgrading to 1.3.5 (#1150575)

* Wed Oct 01 2014 Jaromir Capik <jcapik@redhat.com> - 1.3.4-1
- Upgrading to 1.3.4 (#1135702)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 05 2014 Jaromir Capik <jcapik@redhat.com> - 1.1.1-20
- Fixing format-security flawsm (#1037407)
- Cleaning the spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 24 2013 Jaromir Capik <jcapik@redhat.com> - 1.1.1-18
- aarch64 support
- Fixing texi errors (section levels)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.1.1-11
- Fix license tag.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.1-10
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.1.1-9
- Rebuild for selinux ppc32 issue.

* Fri Jun 22 2007   Chris Petersen <rpm@forevermore.net>                1.1.1-8
- Revision bump due to buildsys version conflict preventing F-7 build

* Sat Feb 17 2007   Chris Petersen <rpm@forevermore.net>                1.1.1-7
- Add gssapi2 patch from https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=226764 so this compiles in rawhide

* Thu Feb  1 2007   Chris Petersen <rpm@forevermore.net>                1.1.1-6
- Add ncurses BR so that yafc won't link against the deprecated termcap lib

* Tue Sep 12 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-5
- Slight tweak to the defattr to add the fourth parameter

* Sun Jul 23 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-4
- Add `make distclean` to prep section to compensate for "dirty" cvs repository
- Remove doc/ directory from files, since its contents already get installed as info and man files

* Sun Jul 23 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-3
- Add kerberos patch from https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192606
- Add krb5-devel BR now that we can compile with kerberos
- Make setup quiet for rpmlint

* Mon Jul 03 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-2
- Update summary and description per fedora recommendations
- Remove exclude and just use rm -rf for info/dir
- Move install-info to postun instead of preun
- Remove redunant readline requirement
- Remove "always color" patch (problems in non-ansi terminals and can be replicated via yafcrc/alias)

* Sun Nov 28 2004 Karl Pietrzak <TheAlchemist@optonline.net> [1.1-0]
* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-1
- Update spec to comply with fedora guidelines and rpmlint
- Remove unnecessary errno patch

* Sun Nov 28 2004 Karl Pietrzak <TheAlchemist@optonline.net> [1.1-0]
- added patch to always print with color
- added Requires

* Wed Sep 24 2003 Karol Pietrzak <TheAlchemist@optonline.net> [1.0-2]
- created a patch to compile with the latest incarnation of gcc

* Tue Dec 10 2002 Karol Pietrzak <The_Alchemist@earthlink.net> [1.0-1]
- prettied up Description
- updated BuildRequires
- updated deletion of %%buildroot script
- %%makeinstall pretties up doc/

* Sun Oct 13 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- changed Group to what SuSE 8.1 uses
- file "dir" no longer part of package

* Sat Oct 12 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- removed problematic parameters to configure script

* Tue Oct 8 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- moved deletion of %%buildroot directory and made it smarter

* Tue Dec 4 2001 Karol Pietrzak <The_Alchemist@earthlink.net>
- RPM now relocatable
